﻿using Android.App;
using Android.Widget;
using Android.OS;
using Com.Syncfusion.Charts;
using Android.Graphics;
using Android.Views;
using System.Collections.ObjectModel;
using Java.Lang;
using System.Reflection;

using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Java.Lang.Reflect;

namespace ChartSample
{
    [Activity(Label = "ChartSample", MainLauncher = true, Icon = "@drawable/icon")]
    public class MainActivity : Activity
    {
        ChartToolTipBehaviorExt tooltipBehavior;

        protected override void OnCreate(Bundle bundle)
        {
            base.OnCreate(bundle);

            SfChart chart = new SfChart(this);
            chart.Title.Text = "Weather Analysis";
            chart.SetBackgroundColor(Color.White);

            DateTimeAxis primaryAxis = new DateTimeAxis();
            chart.PrimaryAxis = primaryAxis;

            NumericalAxis secondaryAxis = new NumericalAxis();
            chart.SecondaryAxis = secondaryAxis;

            chart.Series.Add(new LineSeries()
            {
                ItemsSource = GetData(),
                XBindingPath = "XValue",
                YBindingPath = "YValue",
                TooltipEnabled = true
            });

            tooltipBehavior = new ChartToolTipBehaviorExt();
            chart.Behaviors.Add(tooltipBehavior);

            chart.TooltipCreated += Chart_TooltipCreated;

            SetContentView(chart);
        }

        private void Chart_TooltipCreated(object sender, SfChart.TooltipCreatedEventArgs e)
        {

            tooltipBehavior.MarginLeft = 5;
            tooltipBehavior.MarginTop = 25;
            tooltipBehavior.MarginRight = 75;
            tooltipBehavior.MarginBottom = 20;
            tooltipBehavior.BackgroundColor = Color.Argb(255, 193, 39, 45);
            tooltipBehavior.TextColor = Color.Transparent;
            tooltipBehavior.StrokeWidth = 1f;
        }

        public static ObservableCollection<DataModel> GetData()
        {
            var dateTime = DateTime.Now;
            var datas = new ObservableCollection<DataModel>();
            datas.Add(new DataModel(dateTime.ToOADate(), 10d));
            dateTime = dateTime.AddYears(1);
            datas.Add(new DataModel(dateTime.ToOADate(), 30d));
            dateTime = dateTime.AddYears(1);
            datas.Add(new DataModel(dateTime.ToOADate(), 15d));
            dateTime = dateTime.AddYears(1);
            datas.Add(new DataModel(dateTime.ToOADate(), 65d));
            dateTime = dateTime.AddYears(1);
            datas.Add(new DataModel(dateTime.ToOADate(), 90d));
            dateTime = dateTime.AddYears(1);
            datas.Add(new DataModel(dateTime.ToOADate(), 85d));
            return datas;
        }
    }
}

